Ruby - Bug #6084

Ruby 1.9.3p125 Segfault while running nanoc compile
02/25/2012 03:05 PM - Phrozen (Guillermo Estrada)

Status: Rejected

Priority: Normal

Assignee:

Target version: 1.9.2

ruby -v: ruby 1.9.3p125 (2012-02-16) Backport:
[(386-mingw32]

Description

Ruby interpreter segfaults with the compile command of nanoc for Ruby 1.9.3p125 under Windows. My windows version is Windows
7 Professional x64. While having checked with nanoc developer, this error does not appear on 1.9.3p0, and it is consistent with p125
under different windows machines, | don't think it can be reproduced easily with a new nanoc project, but | have several working
projects that ran fine with 1.9.3p0 and each one of them segfaults in one or other place.

History

#1 - 02/25/2012 03:10 PM - naruse (Yui NARUSE)

- Priority changed from 5 to Normal
Could you show the small reproducible code?

#2 - 03/04/2012 09:57 PM - ktsj (Kazuki Tsujimoto)
- Status changed from Open to Feedback

#3 - 03/05/2012 01:23 AM - jonforums (Jon Forums)

| can't replicate with 1.9.3p134 or 1.9.3p155 [i386-mingw32] versions on Win7 32bit. One of my nanoc sites has a Rules file using erubis, redcarpet,
and colorize_syntax https:/github.com/thecodeshop/ruby/blob/gh-pages/_site_src/Rules

For your smallest failing nanoc project, please post a gist/hastebin of your Rules file, any custom Nanoc helpers, output of gem env, and your
installed gems.

#4 - 10/31/2012 08:50 PM - mame (Yusuke Endoh)
- Status changed from Feedback to Rejected

Closing this ticket because it is too clueless.
OP seems to be gone. | guess we cannot get a feedback.

Yusuke Endoh mame@tsg.ne.jp

Files

SegfaultNanocWindows.txt 16.6 KB 02/25/2012 Phrozen (Guillermo Estrada)
